//---------------------------------------------------------------------------

#include <fmx.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.fmx"
#include <FMXTee.Series.hpp>
#include <FMXTee.Tools.ScrollPager.hpp>
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
	TFastLineSeries *series1 = new TFastLineSeries(this);
	Chart1->AddSeries(series1);
	series1->FillSampleValues(15000);
	series1->DrawAllPoints = false;

	TFastLineSeries *series2 = new TFastLineSeries(this);
	Chart2->AddSeries(series2);
	series2->FillSampleValues(15000);
	series2->DrawAllPoints = true;

	TScrollPagerTool *ChartTool1 = new TScrollPagerTool(this);
	Chart1->Tools->Add(ChartTool1);
	ChartTool1->Series = series1;
	ChartTool1->ColorBandTool->StartValue = 100;
	ChartTool1->ColorBandTool->EndValue   = 500;

	TScrollPagerTool *ChartTool2 = new TScrollPagerTool(this);
	Chart2->Tools->Add(ChartTool2);
	ChartTool2->Series = series2;
	ChartTool2->ColorBandTool->StartValue = 100;
	ChartTool2->ColorBandTool->EndValue   = 500;
}
//---------------------------------------------------------------------------
